List immediate (direct) relationships for a target
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/targets/{targetId}/immediateRelationships
Lists direct relationships for the specified target. You can filter by source/destination target name/type and association type.
Request
Path Parameters
-
targetId(required): string
the target id
Query Parameters
-
assocType: array[string]
List of association types (for example: uses, used_by, hosted_by).
-
containerSnapshotId: string
Container snapshot identifier (optional).
-
destTargetName: string
Destination target name filter (optional).
-
destTargetType: string
Destination target type filter (optional).
-
limit: integer(int32)
Minimum Value:
1Maximum Value:2000to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.Example:20 -
page: string
system generated page token used in the self, next and previous links.
-
sort: string
Sort results as field:direction (example: id:ASC).Example:
id:ASC -
sourceTargetName: string
Source target name filter (optional).
-
sourceTargetType: string
Source target type filter (optional).
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
OK
Root Schema : TargetImmediateCollection
Type:
objectPaged list of immediate (direct) relationship summaries.
Show Source
-
count(required): integer
Number of items returned in this response.
-
items(required): array
items
Immediate relationship summaries.
-
links(required): object
links
Result set navigation links.
Nested Schema : items
Type:
arrayImmediate relationship summaries.
Show Source
-
Array of:
object ImmediateSummary
Summary of an immediate relationship (source/destination and association type).
Nested Schema : ImmediateSummary
Type:
objectSummary of an immediate relationship (source/destination and association type).
Show Source
-
assocType: string
Association type.Example:
assocType -
assocTypeDisplayName: string
Association type display name.Example:
AssocTypeDisplayName -
destTargetId: string
Destination target identifier.Example:
DestTargetId -
destTargetName: string
Destination target name.Example:
DestTargetName -
destTargetType: string
Destination target type.Example:
DestTargetType -
destTargetTypeDisplayName: string
Destination target type display name.Example:
DestTargetTypeDisplayName -
sourceTargetId: string
Source target identifier.Example:
SourceTargetId -
sourceTargetName: string
Source target name.Example:
SourceTargetName -
sourceTargetType: string
Source target type.Example:
SourceTargetType -
sourceTargetTypeDisplayName: string
Source target type display name.Example:
SourceTargetTypeDisplayName
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description